Bug 964474 - Missing dependencies
Missing dependencies
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-dev-tools (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-18 19:39 EDT by Christoph Wickert
Modified: 2013-05-27 22:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: xfce4-dev-tools-4.10.0-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-19 05:40:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2013-05-18 19:39:06 EDT
Description of problem:
xfce4-dev-tools should require libtool and possibly more

xdt-autogen: You must have "libtool" installed on your system.
             Download the appropriate package for your distribution,
             or get the source tarball at ftp://ftp.gnu.org/pub/gnu/.

I think this is a recent change in rawhide because IIRC libtool was pulled i automatically in the past. I think we should just require everything that is used in the scripts, that means autoconf, automake, gettext and intltool. Did I miss something?

Version-Release number of selected component (if applicable):
xfce4-dev-tools-4.10.0-2.fc18.x86_64
Comment 1 Christoph Wickert 2013-05-19 04:59:35 EDT
Full list of required decencies: autoconf, automake, gawk, glib2-devel, grep, gtk-doc and intltool.
Comment 2 Christoph Wickert 2013-05-19 05:14:16 EDT
I did not add svn. It's referred to in xdt-commit but should not be needed as Xfce doesn't use svn any more.
Comment 3 Fedora Update System 2013-05-19 05:37:33 EDT
xfce4-dev-tools-4.10.0-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xfce4-dev-tools-4.10.0-4.fc19
Comment 4 Fedora Update System 2013-05-27 22:13:50 EDT
xfce4-dev-tools-4.10.0-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.